class SwaggerError(Exception):
    """Base class for the exeptions in this module"""
    pass


class SwaggerInputError(SwaggerError):
    """Exception raised for errors, when Mandatory inputs for processing are missing

    Attributes:
        input -- Input expected for processing
        message -- Explanation of the error
    """
    def __init__(self, input, message):
        self.input = input
        self.message = message
